com.jscape.util.reflection.types

## Class PropertySheet

- java.lang.Object
- - com.jscape.util.reflection.FieldType
  - - com.jscape.util.reflection.types.PropertySheet

-     public class PropertySheet
      extends FieldType

  Author:
    Roman Sheshunov

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PropertySheet.Type`
    `static interface` | `PropertySheet.ValueType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `defaultValue`
    `java.util.Set<PropertySheet.ValueType>` | `valueTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertySheet()` Creates new instance with `STRING`, `NUMBER` and `BOOLEAN` available types.
    `PropertySheet(java.util.Map<java.lang.String,java.lang.Object> defaultValue, PropertySheet.ValueType... valueTypes)` Creates new instance with default value and types.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `getDefaultValue()` Returns field default value.
    `java.util.Set<PropertySheet.ValueType>` | `getValueTypes()` Returns available value types
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### defaultValue

          public final java.util.Map<java.lang.String,java.lang.Object> defaultValue

    - #### valueTypes

          public final java.util.Set<PropertySheet.ValueType> valueTypes

  - ### Constructor Detail

    - #### PropertySheet

          public PropertySheet(java.util.Map<java.lang.String,java.lang.Object> defaultValue,
                               PropertySheet.ValueType... valueTypes)

      Creates new instance with default value and types.
      Parameters:
        `defaultValue` - the default value
        `valueTypes` - available value types

    - #### PropertySheet

          public PropertySheet()

      Creates new instance with `STRING`, `NUMBER` and `BOOLEAN` available types.

  - ### Method Detail

    - #### getDefaultValue

          public java.util.Map<java.lang.String,java.lang.Object> getDefaultValue()

      Returns field default value.
      Returns:
        the default value

    - #### getValueTypes

          public java.util.Set<PropertySheet.ValueType> getValueTypes()

      Returns available value types
      Returns:
        value types

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.